org.eclipse.actf.model.dom.odf.form

## Class FormConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.form.FormConstants

    public final class FormConstants
    extends Object

FormConstants defines the constant values used by form namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_APPLY_DESIGN_MODE`
`static String` `ATTR_AUTOMATIC_FOCUS`
`static String` `ATTR_CONTROL_IMPLEMENTATION`
`static String` `ATTR_FOR`
`static String` `ATTR_LABEL`
`static String` `ATTR_TAB_INDEX`
`static String` `ATTR_TAB_STOP`
`static String` `ELEMENT_BUTTON`
`static String` `ELEMENT_CHECKBOX`
`static String` `ELEMENT_COLUMN`
`static String` `ELEMENT_COMBOBOX`
`static String` `ELEMENT_DATE`
`static String` `ELEMENT_FIXED_TEXT`
`static String` `ELEMENT_FORM`
`static String` `ELEMENT_FORMATTED_TEXT`
`static String` `ELEMENT_FRAME`
`static String` `ELEMENT_ITEM`
`static String` `ELEMENT_LISTBOX`
`static String` `ELEMENT_NUMBER`
`static String` `ELEMENT_OPTION`
`static String` `ELEMENT_PROPERTY`
`static String` `ELEMENT_RADIO`
`static String` `ELEMENT_TEXT`
`static String` `ELEMENT_TEXTAREA`
`static String` `FORM_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`FormConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORM_NAMESPACE_URI

    public static final String FORM_NAMESPACE_URI

See Also:
  Constant Field Values

#### ELEMENT_BUTTON

    public static final String ELEMENT_BUTTON

See Also:
  Constant Field Values

#### ELEMENT_CHECKBOX

    public static final String ELEMENT_CHECKBOX

See Also:
  Constant Field Values

#### ELEMENT_COLUMN

    public static final String ELEMENT_COLUMN

See Also:
  Constant Field Values

#### ELEMENT_COMBOBOX

    public static final String ELEMENT_COMBOBOX

See Also:
  Constant Field Values

#### ELEMENT_DATE

    public static final String ELEMENT_DATE

See Also:
  Constant Field Values

#### ELEMENT_FIXED_TEXT

    public static final String ELEMENT_FIXED_TEXT

See Also:
  Constant Field Values

#### ELEMENT_FORMATTED_TEXT

    public static final String ELEMENT_FORMATTED_TEXT

See Also:
  Constant Field Values

#### ELEMENT_FORM

    public static final String ELEMENT_FORM

See Also:
  Constant Field Values

#### ELEMENT_FRAME

    public static final String ELEMENT_FRAME

See Also:
  Constant Field Values

#### ELEMENT_ITEM

    public static final String ELEMENT_ITEM

See Also:
  Constant Field Values

#### ELEMENT_LISTBOX

    public static final String ELEMENT_LISTBOX

See Also:
  Constant Field Values

#### ELEMENT_NUMBER

    public static final String ELEMENT_NUMBER

See Also:
  Constant Field Values

#### ELEMENT_OPTION

    public static final String ELEMENT_OPTION

See Also:
  Constant Field Values

#### ELEMENT_PROPERTY

    public static final String ELEMENT_PROPERTY

See Also:
  Constant Field Values

#### ELEMENT_RADIO

    public static final String ELEMENT_RADIO

See Also:
  Constant Field Values

#### ELEMENT_TEXTAREA

    public static final String ELEMENT_TEXTAREA

See Also:
  Constant Field Values

#### ELEMENT_TEXT

    public static final String ELEMENT_TEXT

See Also:
  Constant Field Values

#### ATTR_AUTOMATIC_FOCUS

    public static final String ATTR_AUTOMATIC_FOCUS

See Also:
  Constant Field Values

#### ATTR_APPLY_DESIGN_MODE

    public static final String ATTR_APPLY_DESIGN_MODE

See Also:
  Constant Field Values

#### ATTR_LABEL

    public static final String ATTR_LABEL

See Also:
  Constant Field Values

#### ATTR_TAB_INDEX

    public static final String ATTR_TAB_INDEX

See Also:
  Constant Field Values

#### ATTR_TAB_STOP

    public static final String ATTR_TAB_STOP

See Also:
  Constant Field Values

#### ATTR_FOR

    public static final String ATTR_FOR

See Also:
  Constant Field Values

#### ATTR_CONTROL_IMPLEMENTATION

    public static final String ATTR_CONTROL_IMPLEMENTATION

See Also:
  Constant Field Values

### Constructor Detail

#### FormConstants

    public FormConstants()